> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tikfly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Download All User Videos

> Download All User Videos



## OpenAPI

````yaml /api-reference/openapi.json get /api/download/user/video
openapi: 3.1.0
info:
  title: Tikfly API - Unoffical Tiktok API
  description: >-
    Tikfly API Documentation - Unoffical Tiktok API for scalable access without
    the usual limitations
  version: 1.0.0
servers:
  - url: https://tiktok-api23.p.rapidapi.com
    description: RapidAPI
security: []
paths:
  /api/download/user/video:
    get:
      tags:
        - Download
      summary: Download All User Videos
      description: Download All User Videos
      operationId: getApiDownloadUserVideo
      parameters:
        - in: query
          name: secUid
          schema:
            type: string
            description: User secUid
            example: >-
              MS4wLjABAAAAqB08cUbXaDWqbD6MCga2RbGTuhfO2EsHayBYx08NDrN7IE3jQuRDNNN6YwyfH6_6
          required: true
        - in: query
          name: minCursor
          schema:
            type: integer
            default: 0
            description: >-
              minCursor parameter is used for pagination. In the first request,
              the default value of minCursor is 0. For subsequent requests, the
              value of minCursor will be taken from the response of the previous
              request. Both minCursor and maxCursor must be provided to paginate
              in the next request.
            example: 0
          required: false
        - in: query
          name: maxCursor
          schema:
            type: integer
            default: 0
            description: >-
              maxCursor parameter is used for pagination. In the first request,
              the default value of maxCursor is 0. For subsequent requests, the
              value of maxCursor will be taken from the response of the previous
              request. Both minCursor and maxCursor must be provided to paginate
              in the next request.
            example: 0
          required: false
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  itemList:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Video ID
                          example: '7558098574555254046'
                        desc:
                          type: string
                          description: Caption of the video
                          example: >-
                            Pledge allegiance to your 👐 your 🏈 your
                            viiiiiiiibes
                        play:
                          type: string
                          description: Downloadable video URL (without watermark)
                          example: >-
                            https://v16e.tiktokcdn.com/45d0ed2b831d82765153a0bf773c0642/69b63d1f/video/tos/maliva/tos-maliva-ve-0068c799-us/oIDknVfUIBL4lQE3ufRHEd1EmKlC8AIHgwADFo/?a=1340&bti=M0BzbGRxbGRoamRobDFybndmKTc6OWYucCNtXGxxZG9kK3FpaHFmOmQ0NDA6&&bt=893&ft=arF-Lqq3mbuPD12zPV.s3wUWtwalaeF~O5&mime_type=video_mp4&rc=Ojk4N2UzZGc5OjQ6ODdnZUBpajdkM3Q5cjh2NjMzaTczNEAvYS9jLjUwXjYxYjNhMzUvYSMtX3JwMmQ0MmVhLS1kMTJzcw%3D%3D&vvpl=1&l=20260314130103C551A75BACBBF42A59CB&btag=e000b8000
                        images:
                          type: array
                          items:
                            type: string
                          description: >-
                            An array of image URLs when the video is a
                            slide-based post
                          example: []
                        cover:
                          type: string
                          description: Video thumbnail image URL
                          example: >-
                            https://p16-pu-sign-useast8.tiktokcdn-us.com/tos-useast8-p-0068-tx2/oMBVk7RErrCPtlrI5DiiyJja6lI6P4OABBADw~tplv-tiktokx-cropcenter-q:300:400:q72.jpeg?dr=16276&refresh_token=0c57284e&x-expires=1773550800&x-signature=7jXPQGUIAfpmvhqtZxAN9joqWGw%3D&t=5872c671&ps=933b5bde&shp=d05b14bd&shcp=ede7c6fc&idc=my2&biz_tag=tt_video&s=PUBLISH&sc=cover
                        stats:
                          type: object
                          properties:
                            collect_count:
                              type: number
                              description: >-
                                Number of times the video has been added to
                                favorites
                              example: 276831
                            comment_count:
                              type: number
                              description: Total number of comments on the video
                              example: 50721
                            digg_count:
                              type: number
                              description: Total number of likes the video has received
                              example: 5728783
                            download_count:
                              type: number
                              description: Number of times the video has been downloaded
                              example: 50285
                            forward_count:
                              type: number
                              description: >-
                                Number of times the video has been forwarded
                                internally
                              example: 0
                            play_count:
                              type: number
                              description: Total number of times the video has been played
                              example: 74219538
                            repost_count:
                              type: number
                              description: >-
                                Number of times the video has been reposted by
                                users
                              example: 475308
                            share_count:
                              type: number
                              description: Number of times the video has been shared
                              example: 154490
                        create_time:
                          type: number
                          description: Unix timestamp indicating when the video was created
                          example: 1759756985
                  hasMore:
                    type: boolean
                    description: Indicates whether there are more data available to fetch
                    example: true
                  minCursor:
                    type: number
                    description: >-
                      minCursor parameter is used for pagination in the next
                      request
                    example: 1770959608000
                  maxCursor:
                    type: number
                    description: >-
                      maxCursor parameter is used for pagination in the next
                      request
                    example: 1759151497000
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: >-
                      Invalid API key. Go to https://docs.rapidapi.com/docs/keys
                      for more info.
        '403':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: You are not subscribed to this API.
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: 'Request failed with status 500: Internal Server Error'
                  status_code:
                    type: number
                    example: 500
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key
      description: >-
        Rapid API Key. [How can I get Rapid API
        Key?](https://docs.tikfly.io/getting-started/quickstart)

````